## edk2 2024.02

=== BaseTools/Source/C/GenSec/Makefile ===
## @file
# Windows makefile for 'GenSec' module build.
#
# Copyright (c) 2007 - 2010, Intel Corporation. All rights reserved.<BR>
# SPDX-License-Identifier: BSD-2-Clause-Patent
#
!INCLUDE ..\Makefiles\ms.common

APPNAME = GenSec

LIBS = $(LIB_PATH)\Common.lib

OBJECTS = GenSec.obj

#CFLAGS = $(CFLAGS) /nodefaultlib:libc.lib

!INCLUDE ..\Makefiles\ms.app

=== debian/changelog ===
edk2 (2024.02-2ubuntu0.5) noble; urgency=medium

  * d/rules: Build OVMF.amdsev.fd (LP: #2122286)
  * d/descriptors: Add amd-sev JSON
  * d/ovmf.README.Debian: Mention OVMF.amdsev.fd firmware

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 17 Sep 2025 10:25:57 +0200

edk2 (2024.02-2ubuntu0.4) noble; urgency=medium

  * ovmf: cherry-pick patch from upstream to "use user-specified
    opt/ovmf/X-PciMmio64Mb value unconditionally". (LP: #2101903).
     - d/p/0001-OvmfPkg-Use-user-specified-opt-ovmf-X-PciMmio64Mb-va.patch

 -- Mitchell Augustin <mitchell.augustin@canonical.com>  Tue, 3 Jun 2025 22:51:00 -0500

edk2 (2024.02-2ubuntu0.3) noble-security; urgency=medium

  * Disable the built-in Shell when SecureBoot is enabled (LP: #2101797)
  * d/tests/shell.py: Align aarch64 snakeoil tests w/ x64.
  * SECURITY UPDATE: UEFI Shell accessible in AAVMF with Secure Boot enabled
    - CVE-2025-2486

 -- Mate Kukri <mate.kukri@canonical.com>  Fri, 21 Mar 2025 12:28:14 +0000

edk2 (2024.02-2ubuntu0.1) noble; urgency=medium

  * qemu-efi-riscv64: Fix crash in KVM-based emulation (LP: #2077731):
    - d/p/0001-MdePkg-BaseLib-RISC-V-Add-FPU-CSR-constants.patch
    - d/p/0002-UefiCpuPkg-RiscV64-initialize-FPU.patch
    - d/p/0003-OvmfPkg-RiscV64-build-BaseRiscVFpuLib.patch

 -- dann frazier <dannf@ubuntu.com>  Fri, 25 Oct 2024 11:25:40 -0600

edk2 (2024.02-2) unstable; urgency=medium

  * Drop unused build-dependency on python3-distutils. (Closes: #1065854).

 -- dann frazier <dannf@debian.org>  Mon, 11 Mar 2024 08:25:33 -0600

edk2 (2024.02-1) unstable; urgency=medium

  * New upstream release, based on edk2-stable202402 tag:
    - Stop including unused mbedtls source to avoid unnecessary
      security triage:
      + d/p/mbedtls-disable.diff
    - Drop patches merged upstream:
      + d/p/0001-SecurityPkg-DxeTpm2MeasureBootLib-SECURITY-PATCH-411.patch
      + d/p/0002-SecurityPkg-DxeTpmMeasureBootLib-SECURITY-PATCH-4117.patch
      + d/p/0003-SecurityPkg-Adding-CVE-2022-36763-to-SecurityFixes.y.patch
      + d/p/0001-SecurityPkg-DxeTpm2MeasureBootLib-SECURITY-PATCH-411-2.patch
      + d/p/0002-SecurityPkg-DxeTpmMeasureBootLib-SECURITY-PATCH-4118.patch
      + d/p/0003-SecurityPkg-Adding-CVE-2022-36764-to-SecurityFixes.y.patch
      + d/p/0001-SecurityPkg-DxeTpm2MeasureBootLib-SECURITY-PATCH-411-3.patch
      + d/p/0002-SecurityPkg-DxeTpmMeasureBootLib-SECURITY-PATCH-4117-2.patch
      + d/p/0003-SecurityPkg-Updating-SecurityFixes.yaml-after-symbol.patch
      + d/p/0001-UefiPayloadPkg-Hob-Integer-Overflow-in-CreateHob.patch
      + d/p/0001-NetworkPkg-Dhcp6Dxe-SECURITY-PATCH-CVE-2023-45230-Pa.patch
      + d/p/0002-NetworkPkg-Add-Unit-tests-to-CI-and-create-Host-Test.patch
      + d/p/0003-NetworkPkg-Dhcp6Dxe-SECURITY-PATCH-CVE-2023-45230-Un.patch
      + d/p/0004-NetworkPkg-Dhcp6Dxe-SECURITY-PATCH-CVE-2023-45229-Pa.patch
      + d/p/0005-NetworkPkg-Dhcp6Dxe-SECURITY-PATCH-CVE-2023-45229-Un.patch
      + d/p/0006-NetworkPkg-Ip6Dxe-SECURITY-PATCH-CVE-2023-45231-Patc.patch
      + d/p/0007-NetworkPkg-Ip6Dxe-SECURITY-PATCH-CVE-2023-45231-Unit.patch
      + d/p/0008-NetworkPkg-Ip6Dxe-SECURITY-PATCH-CVE-2023-45232-Patc.patch
      + d/p/0009-NetworkPkg-Ip6Dxe-SECURITY-PATCH-CVE-2023-45232-Unit.patch
      + d/p/0010-NetworkPkg-UefiPxeBcDxe-SECURITY-PATCH-CVE-2023-4523.patch
      + d/p/0011-NetworkPkg-UefiPxeBcDxe-SECURITY-PATCH-CVE-2023-4523.patch
      + d/p/0012-MdePkg-Test-Add-gRT_GetTime-Google-Test-Mock.patch
      + d/p/0013-NetworkPkg-UefiPxeBcDxe-SECURITY-PATCH-CVE-2023-4523.patch
      + d/p/0014-NetworkPkg-UefiPxeBcDxe-SECURITY-PATCH-CVE-2023-4523.patch
      + d/p/0015-NetworkPkg-Adds-a-SecurityFix.yaml-file.patch
   * d/binary-check.ignore: Remove globs that no longer match anything.

 -- dann frazier <dannf@debian.org>  Sun, 25 Feb 2024 15:34:27 -0700

edk2 (2023.11-8) unstable; urgency=medium

  * debian/rules: Add debug flag to edk2-vars-generator.py commands.
  * debian/python/UEFI/Qemu: Fix var template for snakeoil commands.
  * debian/rules: Fix OVMF snakeoil enrollment by using the secboot
    CODE variant.
  * debian/tests/shell.py: Detect "Access Denied" message to fix
    test_*_ms_secure_boot_unsigned cases.
  * debian/rules: switch to 64bit PEI for OVMF(X64) images now that
    it supports S3 suspend. Thanks Hector Cao.

 -- dann frazier <dannf@debian.org>  Wed, 21 Feb 2024 16:25:20 -0700

edk2 (2023.11-7) unstable; urgency=medium

  * ovmf, qemu-efi-*: Stop building Secure Boot code into non-secboot
    images so they can include a built-in shell which is unsafe in
    Secure Boot mode.
  * ovmf-ia32: Add non-secboot image. Thanks to Lionel Debroux.
    (Closes: #1023491).
  * debian/tests/shell.py: Add tests for ovmf-ia32 non-secboot image.
  * qemu-efi-aarch64: Add non-secboot variant. AAVMF_CODE.fd is the
    secboot variant, so name it AAVMF_CODE.no-secboot.fd.
  * qemu-efi-aarch64: Rename the secboot variant, AAVMF_CODE.fd,
    to AAVMF_CODE.secboot.fd and add a compat symlink.
  * ovmf, ovmf-ia32, qemu-efi-aarch64: Stop including a built-in shell
    in secboot variants, CVE-2023-48733. Thanks to Mate Kukri.
    LP: #2040137.
    - d/tests: Drop the boot-to-shell tests for images w/ Secure Boot.
    - d/tests: Update run_cmd_check_secure_boot() to not expect shell
      interaction.

 -- dann frazier <dannf@debian.org>  Wed, 14 Feb 2024 07:35:13 -0700

edk2 (2023.11-6) unstable; urgency=medium

  * Cherry-pick security fixes from upstream:
    - Fix a buffer overflow via a long server ID option in DHCPv6
      client, CVE-2023-45230:
      + 0001-NetworkPkg-Dhcp6Dxe-SECURITY-PATCH-CVE-2023-45230-Pa.patch
      + 0002-NetworkPkg-Add-Unit-tests-to-CI-and-create-Host-Test.patch
      + 0003-NetworkPkg-Dhcp6Dxe-SECURITY-PATCH-CVE-2023-45230-Un.patch
    - Fix an out-of-bounds read vulnerability when processing the IA_NA
      or IA_TA option in a DHCPv6 Advertise message, CVE-2023-45229:
      + 0004-NetworkPkg-Dhcp6Dxe-SECURITY-PATCH-CVE-2023-45229-Pa.patch


=== debian/control ===
Source: edk2
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
Uploaders: Steve Langasek <vorlon@debian.org>, Serge Hallyn <serge.hallyn@ubuntu.com>, dann frazier <dannf@debian.org>
Build-Depends: bc,
 debhelper-compat (= 12),
 dh-exec,
 dosfstools,
 dpkg (>= 1.19.3),
 gcc-aarch64-linux-gnu,
 gcc-arm-linux-gnueabi,
 gcc-multilib [i386],
 gcc-riscv64-linux-gnu,
 iasl,
 lsb-release,
 mtools,
 nasm,
 python3,
 python3-pexpect,
 qemu-utils,
 qemu-system-arm (>= 1:2.12+dfsg),
 qemu-system-x86 (>= 1:2.12+dfsg),
 uuid-dev,
 xorriso,
Standards-Version: 4.5.0
Homepage: http://www.tianocore.org
Vcs-Git: https://salsa.debian.org/qemu-team/edk2.git
Vcs-Browser: https://salsa.debian.org/qemu-team/edk2
XS-Build-Indep-Architecture: amd64

Package: ovmf
Architecture: all
Depends: ${misc:Depends}
Replaces: qemu-system-common (<<1.7.0+dfsg-3ubuntu4)
Suggests: qemu-system-x86
Multi-Arch: foreign
Description: UEFI firmware for 64-bit x86 virtual machines
 Open Virtual Machine Firmware is a build of EDK II for 64-bit x86 virtual
 machines. It includes full support for UEFI, including Secure Boot, allowing
 use of UEFI in place of a traditional BIOS in your VM.

Package: ovmf-ia32
Architecture: all
Depends: ${misc:Depends}
Suggests: qemu-system-x86
Multi-Arch: foreign
Description: UEFI firmware for 32-bit x86 virtual machines
 Open Virtual Machine Firmware is a build of EDK II for 32-bit x86 virtual
 machines. It includes full support for UEFI, including Secure Boot, allowing
 use of UEFI in place of a traditional BIOS in your VM.

Package: qemu-efi-arm
Architecture: all
Depends: ${misc:Depends}
Suggests: qemu-system-arm
Multi-Arch: foreign
Description: UEFI firmware for 32-bit ARM virtual machines
 qemu-efi-arm is a build of EDK II for 32-bit ARM virtual machines. It
 includes full support for UEFI, including Secure Boot.

Package: qemu-efi-aarch64
Architecture: all
Depends: ${misc:Depends}
Breaks: qemu-efi (<< 0~20161202.7bbe0b3e-2)
Suggests: qemu-system-arm
Multi-Arch: foreign
Description: UEFI firmware for 64-bit ARM virtual machines
 qemu-efi-aarch64 is a build of EDK II for 64-bit ARM virtual machines. It
 includes full support for UEFI, including Secure Boot.

Package: qemu-efi-riscv64
Architecture: all
Depends: ${misc:Depends}
Suggests: qemu-system-misc
Multi-Arch: foreign
Description: UEFI firmware for RISCV64 virtual machines
 qemu-efi-riscv64 is a build of EDK II for RISCV64 virtual machines.

Package: efi-shell-ia32
Architecture: all
Depends: ${misc:Depends}
Description: UEFI Shell for 32-bit x86 architecture
 The UEFI Shell provides a command line interface running on top of the EFI API.
 It can be used to execute EFI binaries, to manage EFI variables and boot
 options, or to display details of installed devices, drivers, and protocols.
 This package contains the shellia32.efi binary for the a 32-bit x86
 architecture.

Package: efi-shell-x64
Architecture: all
Depends: ${misc:Depends}
Description: UEFI Shell for 64-bit x86 architecture
 The UEFI Shell provides a command line interface running on top of the EFI API.
 It can be used to execute EFI binaries, to manage EFI variables and boot
 options, or to display details of installed devices, drivers, and protocols.
 This package contains the shellx64.efi binary for the 64-bit x86
 architecture.

Package: efi-shell-arm
Architecture: all
Depends: ${misc:Depends}
Description: UEFI Shell for 32-bit ARM architecture
 The UEFI Shell provides a command line interface running on top of the EFI API.
 It can be used to execute EFI binaries, to manage EFI variables and boot
 options, or to display details of installed devices, drivers, and protocols.
 This package contains the shellarm.efi binary for the 32-bit ARM
 architecture.

Package: efi-shell-aa64
Architecture: all
Depends: ${misc:Depends}
Description: UEFI Shell for 64-bit ARM architecture
 The UEFI Shell provides a command line interface running on top of the EFI API.
 It can be used to execute EFI binaries, to manage EFI variables and boot
 options, or to display details of installed devices, drivers, and protocols.
 This package contains the shellaa64.efi binary for the 64-bit ARM
 architecture.

Package: efi-shell-riscv64
Architecture: all
Depends: ${misc:Depends}
Description: UEFI Shell for 64-bit RISC-V architecture
 The UEFI Shell provides a command line interface running on top of the EFI API.
 It can be used to execute EFI binaries, to manage EFI variables and boot
 options, or to display details of installed devices, drivers, and protocols.
 This package contains the shellriscv64.efi binary for the 64-bit RISC-V
 architecture.

=== debian/rules ===
#!/usr/bin/make -f

SHELL=/bin/bash

include /usr/share/dpkg/default.mk

BUILD_TYPE ?= RELEASE
EDK2_TOOLCHAIN = GCC5
export $(EDK2_TOOLCHAIN)_AARCH64_PREFIX=aarch64-linux-gnu-
export $(EDK2_TOOLCHAIN)_ARM_PREFIX=arm-linux-gnueabi-
export $(EDK2_TOOLCHAIN)_RISCV64_PREFIX=riscv64-linux-gnu-

export PYTHON3_ENABLE=TRUE

ifeq ($(DEB_BUILD_ARCH),amd64)
	EDK2_BUILD_ARCH=X64
endif
ifeq ($(DEB_BUILD_ARCH),i386)
	EDK2_BUILD_ARCH=IA32
endif
ifeq ($(DEB_BUILD_ARCH),arm64)
	EDK2_BUILD_ARCH=AARCH64
endif

PCD_RELEASE_DATE = $(shell date -d@$(SOURCE_DATE_EPOCH) "+%m/%d/%Y")
PCD_FLAGS  = --pcd PcdFirmwareVendor=L"$(shell lsb_release -is) distribution of EDK II\\0"
PCD_FLAGS += --pcd PcdFirmwareVersionString=L"$(DEB_VERSION)\\0"
PCD_FLAGS += --pcd PcdFirmwareReleaseDateString=L"$(PCD_RELEASE_DATE)\\0"
COMMON_FLAGS  = -DCC_MEASUREMENT_ENABLE=TRUE
COMMON_FLAGS += -DNETWORK_HTTP_BOOT_ENABLE=TRUE
COMMON_FLAGS += -DNETWORK_IP6_ENABLE=TRUE
COMMON_FLAGS += -DNETWORK_TLS_ENABLE
COMMON_FLAGS += $(PCD_FLAGS)
OVMF_COMMON_FLAGS  = $(COMMON_FLAGS)
OVMF_COMMON_FLAGS += -DTPM2_ENABLE=TRUE
OVMF_4M_FLAGS = $(OVMF_COMMON_FLAGS) -DFD_SIZE_4MB
OVMF_4M_SECBOOT_FLAGS = $(OVMF_4M_FLAGS) -DBUILD_SHELL=FALSE -DSECURE_BOOT_ENABLE=TRUE -DSMM_REQUIRE=TRUE
OVMF32_4M_FLAGS = $(OVMF_COMMON_FLAGS) -DFD_SIZE_4MB
OVMF32_4M_SECBOOT_FLAGS =  $(OVMF32_4M_FLAGS) -DBUILD_SHELL=FALSE -DSECURE_BOOT_ENABLE=TRUE -DSMM_REQUIRE=TRUE

AAVMF_COMMON_FLAGS  = $(COMMON_FLAGS)
AAVMF_COMMON_FLAGS += -DTPM2_ENABLE=TRUE
AAVMF_COMMON_FLAGS += -DTPM2_CONFIG_ENABLE=TRUE
AAVMF_COMMON_FLAGS += -DCAVIUM_ERRATUM_27456=TRUE
AAVMF_SECBOOT_FLAGS = $(AAVMF_COMMON_FLAGS) -DBUILD_SHELL=FALSE -DSECURE_BOOT_ENABLE=TRUE

RISCV64_FLAGS = $(COMMON_FLAGS)

# Clear variables used internally by the edk2 build system
undefine WORKSPACE
undefine ECP_SOURCE
undefine EDK_SOURCE
undefine EFI_SOURCE
undefine EDK_TOOLS_PATH
undefine CONF_PATH

%:
	dh $@

override_dh_auto_build: build-qemu-efi-aarch64 build-qemu-efi-arm build-ovmf build-ovmf32 build-qemu-efi-riscv64

debian/setup-build-stamp:
	set -e; . ./edksetup.sh; \
	make -C BaseTools ARCH=$(EDK2_BUILD_ARCH)
	touch $@

OVMF_INSTALL_DIR = debian/ovmf-install
OVMF64_BUILD_ROOT = Build/OvmfX64
OVMF64_BUILD_DIR = $(OVMF64_BUILD_ROOT)/$(BUILD_TYPE)_$(EDK2_TOOLCHAIN)
AMDSEV_BUILD_ROOT = Build/AmdSev
AMDSEV_BUILD_DIR = $(AMDSEV_BUILD_ROOT)/$(BUILD_TYPE)_$(EDK2_TOOLCHAIN)
OVMF_ENROLL = $(OVMF_INSTALL_DIR)/EnrollDefaultKeys.efi
OVMF_SHELL =  $(OVMF_INSTALL_DIR)/Shell.efi
OVMF_BINARIES = $(OVMF_ENROLL) $(OVMF_SHELL)
OVMF_IMAGES := $(addprefix $(OVMF_INSTALL_DIR)/,OVMF_CODE_4M.fd OVMF_CODE_4M.secboot.fd OVMF_VARS_4M.fd OVMF.amdsev.fd)
OVMF_PREENROLLED_VARS := $(addprefix $(OVMF_INSTALL_DIR)/,OVMF_VARS_4M.ms.fd OVMF_VARS_4M.snakeoil.fd)

OVMF32_INSTALL_DIR = debian/ovmf32-install
OVMF32_BUILD_ROOT = Build/OvmfIa32
OVMF32_BUILD_DIR = $(OVMF32_BUILD_ROOT)/$(BUILD_TYPE)_$(EDK2_TOOLCHAIN)
OVMF32_SHELL = $(OVMF32_BUILD_DIR)/IA32/Shell.efi
OVMF32_BINARIES = $(OVMF32_SHELL)
OVMF32_IMAGES  := $(addprefix $(OVMF32_INSTALL_DIR)/,OVMF32_CODE_4M.fd OVMF32_CODE_4M.secboot.fd OVMF32_VARS_4M.fd)

AAVMF_INSTALL_DIR = debian/aavmf-install
AAVMF_BUILD_ROOT = Build/ArmVirtQemu-AARCH64
AAVMF_BUILD_DIR = $(AAVMF_BUILD_ROOT)/$(BUILD_TYPE)_$(EDK2_TOOLCHAIN)
AAVMF_ENROLL    = $(AAVMF_INSTALL_DIR)/EnrollDefaultKeys.efi
AAVMF_SHELL     = $(AAVMF_INSTALL_DIR)/Shell.efi
AAVMF_BINARIES  = $(AAVMF_ENROLL) $(AAVMF_SHELL)
AAVMF_IMAGES    = $(addprefix $(AAVMF_INSTALL_DIR)/,AAVMF_CODE.no-secboot.fd AAVMF_CODE.secboot.fd AAVMF_VARS.fd)
AAVMF_PREENROLLED_VARS = $(addprefix $(AAVMF_INSTALL_DIR)/,AAVMF_VARS.ms.fd AAVMF_VARS.snakeoil.fd)

AAVMF32_INSTALL_DIR = debian/aavmf32-install
AAVMF32_BUILD_ROOT = Build/ArmVirtQemu-ARM
AAVMF32_BUILD_DIR = $(AAVMF32_BUILD_ROOT)/$(BUILD_TYPE)_$(EDK2_TOOLCHAIN)
AAVMF32_IMAGES    = $(addprefix $(AAVMF32_INSTALL_DIR)/,AAVMF32_CODE.fd AAVMF32_VARS.fd)

RISCV64_INSTALL_DIR = debian/riscv64-install
RISCV64_BUILD_ROOT = Build/RiscVVirtQemu
RISCV64_BUILD_DIR = $(RISCV64_BUILD_ROOT)/$(BUILD_TYPE)_$(EDK2_TOOLCHAIN)
RISCV64_IMAGES    = $(addprefix $(RISCV64_INSTALL_DIR)/,RISCV_VIRT_CODE.fd RISCV_VIRT_VARS.fd)

build-ovmf32: $(OVMF32_BINARIES) $(OVMF32_IMAGES)
$(OVMF32_BINARIES) $(OVMF32_IMAGES): debian/setup-build-stamp
	rm -rf $(OVMF32_INSTALL_DIR)
	mkdir $(OVMF32_INSTALL_DIR)
	set -e; . ./edksetup.sh; \
		build -a IA32 \
			-t $(EDK2_TOOLCHAIN) \
			-p OvmfPkg/OvmfPkgIa32.dsc \
			$(OVMF32_4M_FLAGS) -b $(BUILD_TYPE)
	cp $(OVMF32_BUILD_DIR)/IA32/Shell.efi \
		$(OVMF32_INSTALL_DIR)/
	cp $(OVMF32_BUILD_DIR)/FV/OVMF_CODE.fd \
		$(OVMF32_INSTALL_DIR)/OVMF32_CODE_4M.fd
	cp $(OVMF32_BUILD_DIR)/FV/OVMF_VARS.fd \
		$(OVMF32_INSTALL_DIR)/OVMF32_VARS_4M.fd
	rm -rf $(OVMF32_BUILD_ROOT)
	set -e; . ./edksetup.sh; \
	build -a IA32 \
		-t $(EDK2_TOOLCHAIN) \
		-p OvmfPkg/OvmfPkgIa32.dsc \
		$(OVMF32_4M_SECBOOT_FLAGS) -b $(BUILD_TYPE)
	cp $(OVMF32_BUILD_DIR)/FV/OVMF_CODE.fd \
		$(OVMF32_INSTALL_DIR)/OVMF32_CODE_4M.secboot.fd

build-ovmf: $(OVMF_BINARIES) $(OVMF_IMAGES) $(OVMF_PREENROLLED_VARS)
$(OVMF_BINARIES) $(OVMF_IMAGES): debian/setup-build-stamp
	rm -rf $(OVMF_INSTALL_DIR)
	mkdir $(OVMF_INSTALL_DIR)
	rm -rf $(OVMF64_BUILD_ROOT)
	set -e; . ./edksetup.sh; \
		build -a X64 \
			-t $(EDK2_TOOLCHAIN) \
			-p OvmfPkg/OvmfPkgX64.dsc \
			$(OVMF_4M_FLAGS) -b $(BUILD_TYPE)
	cp $(OVMF64_BUILD_DIR)/X64/Shell.efi \
		$(OVMF_INSTALL_DIR)/
	cp $(OVMF64_BUILD_DIR)/FV/OVMF.fd $(OVMF_INSTALL_DIR)/
	cp $(OVMF64_BUILD_DIR)/FV/OVMF_CODE.fd \
		$(OVMF_INSTALL_DIR)/OVMF_CODE_4M.fd
	cp $(OVMF64_BUILD_DIR)/FV/OVMF_VARS.fd \
		$(OVMF_INSTALL_DIR)/OVMF_VARS_4M.fd
	rm -rf $(OVMF64_BUILD_ROOT)
	set -e; . ./edksetup.sh; \
		build -a X64 \
			-t $(EDK2_TOOLCHAIN) \
			-p OvmfPkg/OvmfPkgX64.dsc \
			$(OVMF_4M_SECBOOT_FLAGS) -b $(BUILD_TYPE)
	cp $(OVMF64_BUILD_DIR)/X64/EnrollDefaultKeys.efi \
		$(OVMF_INSTALL_DIR)/
	cp $(OVMF64_BUILD_DIR)/FV/OVMF_CODE.fd \
		$(OVMF_INSTALL_DIR)/OVMF_CODE_4M.secboot.fd
	rm -rf $(AMDSEV_BUILD_ROOT)
	touch OvmfPkg/AmdSev/Grub/grub.efi
	set -e; . ./edksetup.sh; \
		build -a X64 \
			-t $(EDK2_TOOLCHAIN) \
			-p OvmfPkg/AmdSev/AmdSevX64.dsc \
			$(OVMF_COMMON_FLAGS) -b $(BUILD_TYPE)
	cp $(AMDSEV_BUILD_DIR)/FV/OVMF.fd \
		$(OVMF_INSTALL_DIR)/OVMF.amdsev.fd

ifeq ($(call dpkg_vendor_derives_from_v1,ubuntu),yes)
debian/PkKek-1-vendor.pem: debian/PkKek-1-Ubuntu.pem
else
debian/PkKek-1-vendor.pem: debian/PkKek-1-Debian.pem
endif
	ln -sf `basename $<` $@

debian/oem-string-%: debian/PkKek-1-%.pem
	tr -d '\n' < $< | \
		sed -e 's/.*-----BEGIN CERTIFICATE-----/4e32566d-8e9e-4f52-81d3-5bb9715f9727:/' -e 's/-----END CERTIFICATE-----//' > $@

%/AAVMF_VARS.ms.fd: %/AAVMF_CODE.secboot.fd %/AAVMF_VARS.fd debian/oem-string-vendor $(AAVMF_ENROLL) $(AAVMF_SHELL)
	PYTHONPATH=$(CURDIR)/debian/python \
	python3 ./debian/edk2-vars-generator.py -d \
		-f AAVMF -e $(AAVMF_ENROLL) -s $(AAVMF_SHELL) \
		-c $(AAVMF_INSTALL_DIR)/AAVMF_CODE.secboot.fd \
		-V $(AAVMF_INSTALL_DIR)/AAVMF_VARS.fd \
		-C `< debian/oem-string-vendor` -o $@

%/AAVMF_VARS.snakeoil.fd: %/AAVMF_CODE.no-secboot.fd %/AAVMF_VARS.fd debian/oem-string-snakeoil $(AAVMF_ENROLL) $(AAVMF_SHELL)
	PYTHONPATH=$(CURDIR)/debian/python \
	python3 ./debian/edk2-vars-generator.py -d \
		-f AAVMF -e $(AAVMF_ENROLL) -s $(AAVMF_SHELL) \
		-c $(AAVMF_INSTALL_DIR)/AAVMF_CODE.secboot.fd \
		-V $(AAVMF_INSTALL_DIR)/AAVMF_VARS.fd \
		--no-default \
		-C `< debian/oem-string-snakeoil` -o $@

%/OVMF_VARS.ms.fd: %/OVMF_CODE.secboot.fd %/OVMF_VARS.fd debian/oem-string-vendor $(OVMF_ENROLL) $(OVMF_SHELL)
	PYTHONPATH=$(CURDIR)/debian/python \
	python3 ./debian/edk2-vars-generator.py -d \
		-f OVMF -e $(OVMF_ENROLL) -s $(OVMF_SHELL) \
		-c $(OVMF_INSTALL_DIR)/OVMF_CODE.secboot.fd \
		-V $(OVMF_INSTALL_DIR)/OVMF_VARS.fd \
		-C `< debian/oem-string-vendor` -o $@

%/OVMF_VARS_4M.ms.fd: %/OVMF_CODE_4M.secboot.fd %/OVMF_VARS_4M.fd debian/oem-string-vendor $(OVMF_ENROLL) $(OVMF_SHELL)
	PYTHONPATH=$(CURDIR)/debian/python \
	python3 ./debian/edk2-vars-generator.py -d \
		-f OVMF_4M -e $(OVMF_ENROLL) -s $(OVMF_SHELL) \

=== debian/tests/control ===
Test-Command: PYTHONPATH=./debian/python python3 debian/tests/shell.py
Restrictions: allow-stderr
Depends:
 dosfstools [amd64 arm64],
 grub-efi-amd64-signed [amd64],
 grub-efi-arm64-signed [arm64],
 mtools [amd64 arm64],
 openssl [amd64 arm64],
 ovmf,
 ovmf-ia32,
 python3-pexpect,
 qemu-efi-aarch64,
 qemu-efi-arm,
 qemu-efi-riscv64,
 qemu-system-arm,
 qemu-system-misc,
 qemu-system-x86,
 sbsigntool [amd64 arm64],
 shim-signed [amd64 arm64],
 xorriso [amd64 arm64],

## edk2 2024.05

=== debian/changelog ===
edk2 (2024.05-2ubuntu0.3) oracular-security; urgency=medium

   * Disable the built-in Shell when SecureBoot is enabled (LP: #2101797)
   * d/tests/shell.py: Align aarch64 snakeoil tests w/ x64.
   * SECURITY UPDATE: UEFI Shell accessible in AAVMF with Secure Boot enabled
     - CVE-2025-2486

 -- Mate Kukri <mate.kukri@canonical.com>  Wed, 07 May 2025 15:51:19 +0100

edk2 (2024.05-2ubuntu0.2) oracular; urgency=medium

  * Disable the built-in Shell when SecureBoot is enabled (LP: #2101797)
  * SECURITY UPDATE: UEFI Shell accessible in AAVMF with Secure Boot enabled
    - CVE-2025-2486

 -- Mate Kukri <mate.kukri@canonical.com>  Fri, 21 Mar 2025 12:32:12 +0000

edk2 (2024.05-2ubuntu0.1) oracular; urgency=medium

  * qemu-efi-riscv64: Fix crash in KVM-based emulation (LP: #2036604):
    - d/p/0001-MdePkg-BaseLib-RISC-V-Add-FPU-CSR-constants.patch
    - d/p/0002-UefiCpuPkg-RiscV64-initialize-FPU.patch
    - d/p/0003-OvmfPkg-RiscV64-build-BaseRiscVFpuLib.patch

 -- dann frazier <dannf@ubuntu.com>  Sun, 06 Oct 2024 12:39:00 -0600

edk2 (2024.05-2) unstable; urgency=medium

  [ Sergio Durigan Junior ]
  * d/rules: Unexport ELF_PACKAGE_METADATA, which causes an FTBFS due
   to misalignment issues on ELF sections. (LP: #2078252)

 -- dann frazier <dannf@debian.org>  Wed, 04 Sep 2024 20:07:05 -0600

edk2 (2024.05-1) unstable; urgency=medium

  * New upstream release, based on edk2-stable202405 tag:
    - Include new SpdmLib submodule.
    - d/binary-check.ignore: Add new upstream files.

 -- dann frazier <dannf@debian.org>  Tue, 04 Jun 2024 10:56:31 -0600

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,9 @@
 ifeq ($(DEB_BUILD_ARCH),arm64)
 	EDK2_BUILD_ARCH=AARCH64
 endif
+
+# LP: #2078252
+unexport ELF_PACKAGE_METADATA
 
 PCD_RELEASE_DATE = $(shell date -d@$(SOURCE_DATE_EPOCH) "+%m/%d/%Y")
 PCD_FLAGS  = --pcd PcdFirmwareVendor=L"$(shell lsb_release -is) distribution of EDK II\\0"
@@ -67,12 +70,10 @@
 OVMF_INSTALL_DIR = debian/ovmf-install
 OVMF64_BUILD_ROOT = Build/OvmfX64
 OVMF64_BUILD_DIR = $(OVMF64_BUILD_ROOT)/$(BUILD_TYPE)_$(EDK2_TOOLCHAIN)
-AMDSEV_BUILD_ROOT = Build/AmdSev
-AMDSEV_BUILD_DIR = $(AMDSEV_BUILD_ROOT)/$(BUILD_TYPE)_$(EDK2_TOOLCHAIN)
 OVMF_ENROLL = $(OVMF_INSTALL_DIR)/EnrollDefaultKeys.efi
 OVMF_SHELL =  $(OVMF_INSTALL_DIR)/Shell.efi
 OVMF_BINARIES = $(OVMF_ENROLL) $(OVMF_SHELL)
-OVMF_IMAGES := $(addprefix $(OVMF_INSTALL_DIR)/,OVMF_CODE_4M.fd OVMF_CODE_4M.secboot.fd OVMF_VARS_4M.fd OVMF.amdsev.fd)
+OVMF_IMAGES := $(addprefix $(OVMF_INSTALL_DIR)/,OVMF_CODE_4M.fd OVMF_CODE_4M.secboot.fd OVMF_VARS_4M.fd)
 OVMF_PREENROLLED_VARS := $(addprefix $(OVMF_INSTALL_DIR)/,OVMF_VARS_4M.ms.fd OVMF_VARS_4M.snakeoil.fd)
 
 OVMF32_INSTALL_DIR = debian/ovmf32-install
@@ -152,15 +153,6 @@
 		$(OVMF_INSTALL_DIR)/
 	cp $(OVMF64_BUILD_DIR)/FV/OVMF_CODE.fd \
 		$(OVMF_INSTALL_DIR)/OVMF_CODE_4M.secboot.fd
-	rm -rf $(AMDSEV_BUILD_ROOT)
-	touch OvmfPkg/AmdSev/Grub/grub.efi
-	set -e; . ./edksetup.sh; \
-		build -a X64 \
-			-t $(EDK2_TOOLCHAIN) \
-			-p OvmfPkg/AmdSev/AmdSevX64.dsc \
-			$(OVMF_COMMON_FLAGS) -b $(BUILD_TYPE)
-	cp $(AMDSEV_BUILD_DIR)/FV/OVMF.fd \
-		$(OVMF_INSTALL_DIR)/OVMF.amdsev.fd
 
 ifeq ($(call dpkg_vendor_derives_from_v1,ubuntu),yes)
 debian/PkKek-1-vendor.pem: debian/PkKek-1-Ubuntu.pem
@@ -202,3 +194,10 @@
 	PYTHONPATH=$(CURDIR)/debian/python \
 	python3 ./debian/edk2-vars-generator.py -d \
 		-f OVMF_4M -e $(OVMF_ENROLL) -s $(OVMF_SHELL) \
+		-c $(OVMF_INSTALL_DIR)/OVMF_CODE_4M.secboot.fd \
+		-V $(OVMF_INSTALL_DIR)/OVMF_VARS_4M.fd \
+		-C `< debian/oem-string-vendor` -o $@
+
+%/OVMF_VARS_4M.snakeoil.fd: %/OVMF_CODE_4M.fd %/OVMF_VARS_4M.fd debian/oem-string-snakeoil $(OVMF_ENROLL) $(OVMF_SHELL)
+	PYTHONPATH=$(CURDIR)/debian/python \
+	python3 ./debian/edk2-vars-generator.py -d \

## edk2 2024.08

=== debian/changelog ===
edk2 (2024.08-2deepin5) unstable; urgency=medium

  * Add loongarch64 support:
    - Add qemu-efi-loongarch64 package.
      + qemu-efi-loongarch64/QEMU_EFI.fd
      + qemu-efi-loongarch64/QEMU_VARS.fd
      + qemu/firmware/60-edk2-loongarch64.json
    - Add efi-shell-loongarch64 package.
      + efi-shell-loongarch64/shellloongarch64.efi
  * Cherry-pick upstream loongarch64 patches:
    - d/p/0001-UefiCpuPkg-Adjust-the-exception-handler-logic-on-Loo.patch
    - d/p/0002-UefiCpuPkg-Add-dump-interrupt-type-on-LoongArch64.patch
    - d/p/0003-OvmfPkg-LoongArch-Enabling-some-base-libraries.patch

 -- Xiaotian Wu <wuxiaotian@loongson.cn>  Sat, 8 Feb 2025 18:13:46 +0800

edk2 (2024.08-2deepin4) unstable; urgency=medium

  * Generate OVMF.CSV.fd in build target build-ovmf:
    - d/p/0025-Change-grub.sh-to-generate-OVMF.CSV.fd-in-build-ovmf.patch

 -- hanliyang <hanliyang@hygon.cn>  Tue, 24 Dec 2024 19:50:28 +0800

edk2 (2024.08-2deepin3) unstable; urgency=medium

  * Support full-disk encryption for Hygon CSV/CSV2/CSV3 guest:
    - d/p/0024-OvmfPkg-AmdSev-Support-full-disk-encryption-based-on.patch

 -- hanliyang <hanliyang@hygon.cn>  Wed, 20 Oct 2024 17:50:28 +0800

edk2 (2024.08-2deepin2) unstable; urgency=medium

  * Support live migration for Hygon CSV/CSV2/CSV3 guest, fix nesting #VC:
    - d/p/0015-OvmfPkg-BaseMemEncryptLib-Detect-SEV-live-migration-.patch
    - d/p/0016-OvmfPkg-BaseMemEncryptLib-Hypercall-API-for-page-enc.patch
    - d/p/0017-OvmfPkg-BaseMemEncryptLib-Invoke-page-encryption-sta.patch
    - d/p/0018-OvmfPkg-VmgExitLib-Encryption-state-change-hypercall.patch
    - d/p/0019-OvmfPkg-PlatformPei-Mark-SEC-GHCB-page-as-unencrypte.patch
    - d/p/0020-OvmfPkg-AmdSevDxe-Add-support-for-SEV-live-migration.patch
    - d/p/0021-OvmfPkg-BaseMemcryptSevLib-Correct-the-calculation-o.patch
    - d/p/0022-OvmfPkg-BaseMemEncryptLib-Return-SUCCESS-if-not-supp.patch
    - d/p/0023-OvmfPkg-BaseMemEncryptLib-Save-memory-encrypt-status.patch

 -- hanliyang <hanliyang@hygon.cn>  Mon, 14 Oct 2024 15:34:28 +0000

edk2 (2024.08-2deepin1) unstable; urgency=medium

  * Add support for Hygon CSV3 feature:
    - d/p/0004-MdePkg-Add-StandardSignatureIsHygonGenuine-in-BaseCp.patch
    - d/p/0005-UefiCpuPkg-LocalApicLib-Exclude-second-SendIpi-seque.patch
    - d/p/0006-OvmfPkg-Add-CSV-secure-call-library-on-Hygon-CPU.patch
    - d/p/0007-OvmfPkg-ResetVector-Support-CSV-in-ResetVector-phase.patch
    - d/p/0008-OvmfPkg-PlatformPei-Initialize-CSV-VM-s-memory.patch
    - d/p/0009-OvmfPkg-BaseMemcryptSevLib-update-page-status-to-Sec.patch
    - d/p/0010-OvmfPkg-Tcg-Add-CsvLib-for-TpmMmioSevDecryptPei.patch
    - d/p/0011-OvmfPkg-Add-CsvDxe-driver.patch
    - d/p/0012-OvmfPkg-IoMmuDxe-Add-CsvIoMmu-protocol.patch
    - d/p/0013-OvmfPkg-Use-classic-mmio-window-for-CSV-guest.patch
    - d/p/0014-OvmfPkg-IoMmuDxe-Implement-SetAttribute-of-CsvIoMmu.patch

 -- hanliyang <hanliyang@hygon.cn>  Wed, 09 Oct 2024 21:26:28 +0000

edk2 (2024.08-2) unstable; urgency=medium

  * qemu-efi-riscv64: Fix crash in KVM-based emulation (LP: #2036604):
    - d/p/0001-MdePkg-BaseLib-RISC-V-Add-FPU-CSR-constants.patch
    - d/p/0002-UefiCpuPkg-RiscV64-initialize-FPU.patch
    - d/p/0003-OvmfPkg-RiscV64-build-BaseRiscVFpuLib.patch

 -- dann frazier <dannf@debian.org>  Fri, 04 Oct 2024 14:48:54 -0400

edk2 (2024.08-1) unstable; urgency=medium

  * New upstream release, based on edk2-stable202408 tag:
    - Vendor in the MdePkg/Library/BaseFdtLib/libfdt submodule, now
      required for building ArmVirtQemu.
    - Refresh patches:
      + d/p/no-stack-protector-all-archs.diff
      + d/p/x64-baseline-abi.patch
      + d/p/Revert-ArmVirtPkg-make-EFI_LOADER_DATA-non-executabl.patch
      + d/p/ArmVirtPkg-disable-the-EFI_MEMORY_ATTRIBUTE-protocol.patch

 -- dann frazier <dannf@debian.org>  Wed, 18 Sep 2024 14:37:47 -0600

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: edk2
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
+Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
 Uploaders: Steve Langasek <vorlon@debian.org>, Serge Hallyn <serge.hallyn@ubuntu.com>, dann frazier <dannf@debian.org>
 Build-Depends: bc,
  debhelper-compat (= 12),
@@ -12,7 +11,10 @@
  gcc-aarch64-linux-gnu,
  gcc-arm-linux-gnueabi,
  gcc-multilib [i386],
+ gcc-loongarch64-linux-gnu,
  gcc-riscv64-linux-gnu,
+ grub-common,
+ grub-efi-amd64-bin [amd64],
  iasl,
  lsb-release,
  mtools,
@@ -70,6 +72,14 @@
  qemu-efi-aarch64 is a build of EDK II for 64-bit ARM virtual machines. It
  includes full support for UEFI, including Secure Boot.
 
+Package: qemu-efi-loongarch64
+Architecture: all
+Depends: ${misc:Depends}
+Suggests: qemu-system-misc
+Multi-Arch: foreign
+Description: UEFI firmware for LoongArch64 virtual machines
+ qemu-efi-loongarch64 is a build of EDK II for LoongArch64 virtual machines.
+
 Package: qemu-efi-riscv64
 Architecture: all
 Depends: ${misc:Depends}
@@ -118,6 +128,16 @@
  This package contains the shellaa64.efi binary for the 64-bit ARM
  architecture.
 
+Package: efi-shell-loongarch64
+Architecture: all
+Depends: ${misc:Depends}
+Description: UEFI Shell for 64-bit LoongArch architecture
+ The UEFI Shell provides a command line interface running on top of the EFI API.
+ It can be used to execute EFI binaries, to manage EFI variables and boot
+ options, or to display details of installed devices, drivers, and protocols.
+ This package contains the shellloongarch64.efi binary for the 64-bit LoongArch
+ architecture.
+
 Package: efi-shell-riscv64
 Architecture: all
 Depends: ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 export $(EDK2_TOOLCHAIN)_AARCH64_PREFIX=aarch64-linux-gnu-
 export $(EDK2_TOOLCHAIN)_ARM_PREFIX=arm-linux-gnueabi-
 export $(EDK2_TOOLCHAIN)_RISCV64_PREFIX=riscv64-linux-gnu-
+export $(EDK2_TOOLCHAIN)_LOONGARCH64_PREFIX=loongarch64-linux-gnu-
 
 export PYTHON3_ENABLE=TRUE
 
@@ -20,6 +21,9 @@
 endif
 ifeq ($(DEB_BUILD_ARCH),arm64)
 	EDK2_BUILD_ARCH=AARCH64
+endif
+ifeq ($(DEB_BUILD_ARCH),loongarch64)
+	EDK2_BUILD_ARCH=LOONGARCH64
 endif
 
 # LP: #2078252
@@ -48,6 +52,7 @@
 AAVMF_SECBOOT_FLAGS = $(AAVMF_COMMON_FLAGS) -DBUILD_SHELL=FALSE -DSECURE_BOOT_ENABLE=TRUE
 
 RISCV64_FLAGS = $(COMMON_FLAGS)
+LOONGARCH64_FLAGS = $(COMMON_FLAGS)
 
 # Clear variables used internally by the edk2 build system
 undefine WORKSPACE
@@ -60,7 +65,7 @@
 %:
 	dh $@
 
-override_dh_auto_build: build-qemu-efi-aarch64 build-qemu-efi-arm build-ovmf build-ovmf32 build-qemu-efi-riscv64
+override_dh_auto_build: build-qemu-efi-aarch64 build-qemu-efi-arm build-ovmf build-ovmf32 build-qemu-efi-loongarch64 build-qemu-efi-riscv64
 
 debian/setup-build-stamp:
 	set -e; . ./edksetup.sh; \
@@ -70,11 +75,14 @@
 OVMF_INSTALL_DIR = debian/ovmf-install
 OVMF64_BUILD_ROOT = Build/OvmfX64
 OVMF64_BUILD_DIR = $(OVMF64_BUILD_ROOT)/$(BUILD_TYPE)_$(EDK2_TOOLCHAIN)
+OVMF64_BUILD_ROOT_CSV = Build/AmdSev
+OVMF64_BUILD_DIR_CSV = $(OVMF64_BUILD_ROOT_CSV)/$(BUILD_TYPE)_$(EDK2_TOOLCHAIN)
 OVMF_ENROLL = $(OVMF_INSTALL_DIR)/EnrollDefaultKeys.efi
 OVMF_SHELL =  $(OVMF_INSTALL_DIR)/Shell.efi
 OVMF_BINARIES = $(OVMF_ENROLL) $(OVMF_SHELL)
-OVMF_IMAGES := $(addprefix $(OVMF_INSTALL_DIR)/,OVMF_CODE_4M.fd OVMF_CODE_4M.secboot.fd OVMF_VARS_4M.fd)
-OVMF_PREENROLLED_VARS := $(addprefix $(OVMF_INSTALL_DIR)/,OVMF_VARS_4M.ms.fd OVMF_VARS_4M.snakeoil.fd)
+OVMF_IMAGES := $(addprefix $(OVMF_INSTALL_DIR)/,OVMF_CODE_4M.fd OVMF_CODE_4M.secboot.fd OVMF_VARS_4M.fd OVMF.CSV.fd)
+OVMF_PREENROLLED_VARS :=
+#$(addprefix $(OVMF_INSTALL_DIR)/,OVMF_VARS_4M.ms.fd OVMF_VARS_4M.snakeoil.fd)
 
 OVMF32_INSTALL_DIR = debian/ovmf32-install
 OVMF32_BUILD_ROOT = Build/OvmfIa32
@@ -101,6 +109,11 @@
 RISCV64_BUILD_ROOT = Build/RiscVVirtQemu
 RISCV64_BUILD_DIR = $(RISCV64_BUILD_ROOT)/$(BUILD_TYPE)_$(EDK2_TOOLCHAIN)
 RISCV64_IMAGES    = $(addprefix $(RISCV64_INSTALL_DIR)/,RISCV_VIRT_CODE.fd RISCV_VIRT_VARS.fd)
+
+LOONGARCH64_INSTALL_DIR = debian/loongarch64-install
+LOONGARCH64_BUILD_ROOT = Build/LoongArchVirtQemu
+LOONGARCH64_BUILD_DIR = $(LOONGARCH64_BUILD_ROOT)/$(BUILD_TYPE)_$(EDK2_TOOLCHAIN)
+LOONGARCH64_IMAGES    = $(addprefix $(LOONGARCH64_INSTALL_DIR)/,QEMU_EFI.fd QEMU_VARS.fd)
 
 build-ovmf32: $(OVMF32_BINARIES) $(OVMF32_IMAGES)
 $(OVMF32_BINARIES) $(OVMF32_IMAGES): debian/setup-build-stamp
@@ -153,6 +166,15 @@
 		$(OVMF_INSTALL_DIR)/
 	cp $(OVMF64_BUILD_DIR)/FV/OVMF_CODE.fd \
 		$(OVMF_INSTALL_DIR)/OVMF_CODE_4M.secboot.fd
+	rm -rf $(OVMF64_BUILD_ROOT_CSV)
+	rm -f OvmfPkg/AmdSev/Grub/grub.efi
+	set -e; . ./edksetup.sh; \
+		build -a X64 \
+			-t $(EDK2_TOOLCHAIN) \
+			-p OvmfPkg/AmdSev/AmdSevX64.dsc \
+			$(OVMF_COMMON_FLAGS) -b $(BUILD_TYPE)
+	cp $(OVMF64_BUILD_DIR_CSV)/FV/OVMF.fd \
+		$(OVMF_INSTALL_DIR)/OVMF.CSV.fd
 
 ifeq ($(call dpkg_vendor_derives_from_v1,ubuntu),yes)
 debian/PkKek-1-vendor.pem: debian/PkKek-1-Ubuntu.pem
@@ -182,22 +204,3 @@
 		--no-default \
 		-C `< debian/oem-string-snakeoil` -o $@
 
-%/OVMF_VARS.ms.fd: %/OVMF_CODE.secboot.fd %/OVMF_VARS.fd debian/oem-string-vendor $(OVMF_ENROLL) $(OVMF_SHELL)
-	PYTHONPATH=$(CURDIR)/debian/python \
-	python3 ./debian/edk2-vars-generator.py -d \
-		-f OVMF -e $(OVMF_ENROLL) -s $(OVMF_SHELL) \
-		-c $(OVMF_INSTALL_DIR)/OVMF_CODE.secboot.fd \
-		-V $(OVMF_INSTALL_DIR)/OVMF_VARS.fd \
-		-C `< debian/oem-string-vendor` -o $@
-
-%/OVMF_VARS_4M.ms.fd: %/OVMF_CODE_4M.secboot.fd %/OVMF_VARS_4M.fd debian/oem-string-vendor $(OVMF_ENROLL) $(OVMF_SHELL)
-	PYTHONPATH=$(CURDIR)/debian/python \
-	python3 ./debian/edk2-vars-generator.py -d \
-		-f OVMF_4M -e $(OVMF_ENROLL) -s $(OVMF_SHELL) \
-		-c $(OVMF_INSTALL_DIR)/OVMF_CODE_4M.secboot.fd \
-		-V $(OVMF_INSTALL_DIR)/OVMF_VARS_4M.fd \
-		-C `< debian/oem-string-vendor` -o $@
-
-%/OVMF_VARS_4M.snakeoil.fd: %/OVMF_CODE_4M.fd %/OVMF_VARS_4M.fd debian/oem-string-snakeoil $(OVMF_ENROLL) $(OVMF_SHELL)
-	PYTHONPATH=$(CURDIR)/debian/python \
-	python3 ./debian/edk2-vars-generator.py -d \

## edk2 2024.11

=== debian/changelog ===
edk2 (2024.11-2) unstable; urgency=medium

  * qemu-efi-riscv64: Add 60-edk2-riscv64.json firmware descriptor,
    thanks to Heinrich Schuchardt.

 -- dann frazier <dannf@debian.org>  Sun, 15 Dec 2024 21:05:33 -0700

edk2 (2024.11-1) unstable; urgency=medium

  * New upstream release, based on edk2-stable202411 tag:
    - d/rules: Vendor MbedTlsLib submodule. This is now required
      for building ARM.
      + Drop d/p/mbedtls-disable.diff
    - Drop patches merged upstream:
      + d/p/0001-MdePkg-BaseLib-RISC-V-Add-FPU-CSR-constants.patch
      + d/p/0002-UefiCpuPkg-RiscV64-initialize-FPU.patch
      + d/p/0003-OvmfPkg-RiscV64-build-BaseRiscVFpuLib.patch
      + d/p/0001-MdePkg-Fix-overflow-issue-in-BasePeCoffLib.patch
      + d/p/0002-MdePkg-Improving-readability-of-CVE-patch-for-PeCoff.patch
      + d/p/0001-Avoid-type-errors-in-EAI-related-name-check-logic.patch
    - Refresh patches:
      + d/p/Revert-ArmVirtPkg-make-EFI_LOADER_DATA-non-executabl.patch
      + d/p/no-stack-protector-all-archs.diff
      + d/p/x64-baseline-abi.patch

 -- dann frazier <dannf@debian.org>  Mon, 25 Nov 2024 06:51:27 -0700

edk2 (2024.08-4) unstable; urgency=medium

  * d/control, d/tests/control: Update relationships to use
    qemu-system-riscv64 instead of qemu-system-misc. Thanks to
    Michael Tokarev.

 -- dann frazier <dannf@debian.org>  Fri, 25 Oct 2024 11:46:04 -0600

edk2 (2024.08-3) unstable; urgency=medium

  * Fix overflow condition in PeCoffLoaderRelocateImage(), CVE-2024-38796:
    - d/p/0001-MdePkg-Fix-overflow-issue-in-BasePeCoffLib.patch
    - d/p/0002-MdePkg-Improving-readability-of-CVE-patch-for-PeCoff.patch
    (Closes: #1084055)
  * OpenSSL: Avoid type errors in EAI-related name check logic, CVE-2024-6119:
    - d/p/0001-Avoid-type-errors-in-EAI-related-name-check-logic.patch

 -- dann frazier <dannf@debian.org>  Thu, 24 Oct 2024 11:11:27 -0600

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,7 @@
  gcc-aarch64-linux-gnu,
  gcc-arm-linux-gnueabi,
  gcc-multilib [i386],
- gcc-loongarch64-linux-gnu,
  gcc-riscv64-linux-gnu,
- grub-common,
- grub-efi-amd64-bin [amd64],
  iasl,
  lsb-release,
  mtools,
@@ -72,18 +69,10 @@
  qemu-efi-aarch64 is a build of EDK II for 64-bit ARM virtual machines. It
  includes full support for UEFI, including Secure Boot.
 
-Package: qemu-efi-loongarch64
-Architecture: all
-Depends: ${misc:Depends}
-Suggests: qemu-system-misc
-Multi-Arch: foreign
-Description: UEFI firmware for LoongArch64 virtual machines
- qemu-efi-loongarch64 is a build of EDK II for LoongArch64 virtual machines.
-
 Package: qemu-efi-riscv64
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: qemu-system-misc
+Suggests: qemu-system-riscv64
 Multi-Arch: foreign
 Description: UEFI firmware for RISCV64 virtual machines
  qemu-efi-riscv64 is a build of EDK II for RISCV64 virtual machines.
@@ -128,16 +117,6 @@
  This package contains the shellaa64.efi binary for the 64-bit ARM
  architecture.
 
-Package: efi-shell-loongarch64
-Architecture: all
-Depends: ${misc:Depends}
-Description: UEFI Shell for 64-bit LoongArch architecture
- The UEFI Shell provides a command line interface running on top of the EFI API.
- It can be used to execute EFI binaries, to manage EFI variables and boot
- options, or to display details of installed devices, drivers, and protocols.
- This package contains the shellloongarch64.efi binary for the 64-bit LoongArch
- architecture.
-
 Package: efi-shell-riscv64
 Architecture: all
 Depends: ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,6 @@
 export $(EDK2_TOOLCHAIN)_AARCH64_PREFIX=aarch64-linux-gnu-
 export $(EDK2_TOOLCHAIN)_ARM_PREFIX=arm-linux-gnueabi-
 export $(EDK2_TOOLCHAIN)_RISCV64_PREFIX=riscv64-linux-gnu-
-export $(EDK2_TOOLCHAIN)_LOONGARCH64_PREFIX=loongarch64-linux-gnu-
 
 export PYTHON3_ENABLE=TRUE
 
@@ -21,9 +20,6 @@
 endif
 ifeq ($(DEB_BUILD_ARCH),arm64)
 	EDK2_BUILD_ARCH=AARCH64
-endif
-ifeq ($(DEB_BUILD_ARCH),loongarch64)
-	EDK2_BUILD_ARCH=LOONGARCH64
 endif
 
 # LP: #2078252
@@ -52,7 +48,6 @@
 AAVMF_SECBOOT_FLAGS = $(AAVMF_COMMON_FLAGS) -DBUILD_SHELL=FALSE -DSECURE_BOOT_ENABLE=TRUE
 
 RISCV64_FLAGS = $(COMMON_FLAGS)
-LOONGARCH64_FLAGS = $(COMMON_FLAGS)
 
 # Clear variables used internally by the edk2 build system
 undefine WORKSPACE
@@ -65,7 +60,7 @@
 %:
 	dh $@
 
-override_dh_auto_build: build-qemu-efi-aarch64 build-qemu-efi-arm build-ovmf build-ovmf32 build-qemu-efi-loongarch64 build-qemu-efi-riscv64
+override_dh_auto_build: build-qemu-efi-aarch64 build-qemu-efi-arm build-ovmf build-ovmf32 build-qemu-efi-riscv64
 
 debian/setup-build-stamp:
 	set -e; . ./edksetup.sh; \
@@ -75,14 +70,11 @@
 OVMF_INSTALL_DIR = debian/ovmf-install
 OVMF64_BUILD_ROOT = Build/OvmfX64
 OVMF64_BUILD_DIR = $(OVMF64_BUILD_ROOT)/$(BUILD_TYPE)_$(EDK2_TOOLCHAIN)
-OVMF64_BUILD_ROOT_CSV = Build/AmdSev
-OVMF64_BUILD_DIR_CSV = $(OVMF64_BUILD_ROOT_CSV)/$(BUILD_TYPE)_$(EDK2_TOOLCHAIN)
 OVMF_ENROLL = $(OVMF_INSTALL_DIR)/EnrollDefaultKeys.efi
 OVMF_SHELL =  $(OVMF_INSTALL_DIR)/Shell.efi
 OVMF_BINARIES = $(OVMF_ENROLL) $(OVMF_SHELL)
-OVMF_IMAGES := $(addprefix $(OVMF_INSTALL_DIR)/,OVMF_CODE_4M.fd OVMF_CODE_4M.secboot.fd OVMF_VARS_4M.fd OVMF.CSV.fd)
-OVMF_PREENROLLED_VARS :=
-#$(addprefix $(OVMF_INSTALL_DIR)/,OVMF_VARS_4M.ms.fd OVMF_VARS_4M.snakeoil.fd)
+OVMF_IMAGES := $(addprefix $(OVMF_INSTALL_DIR)/,OVMF_CODE_4M.fd OVMF_CODE_4M.secboot.fd OVMF_VARS_4M.fd)
+OVMF_PREENROLLED_VARS := $(addprefix $(OVMF_INSTALL_DIR)/,OVMF_VARS_4M.ms.fd OVMF_VARS_4M.snakeoil.fd)
 
 OVMF32_INSTALL_DIR = debian/ovmf32-install
 OVMF32_BUILD_ROOT = Build/OvmfIa32
@@ -109,11 +101,6 @@
 RISCV64_BUILD_ROOT = Build/RiscVVirtQemu
 RISCV64_BUILD_DIR = $(RISCV64_BUILD_ROOT)/$(BUILD_TYPE)_$(EDK2_TOOLCHAIN)
 RISCV64_IMAGES    = $(addprefix $(RISCV64_INSTALL_DIR)/,RISCV_VIRT_CODE.fd RISCV_VIRT_VARS.fd)
-
-LOONGARCH64_INSTALL_DIR = debian/loongarch64-install
-LOONGARCH64_BUILD_ROOT = Build/LoongArchVirtQemu
-LOONGARCH64_BUILD_DIR = $(LOONGARCH64_BUILD_ROOT)/$(BUILD_TYPE)_$(EDK2_TOOLCHAIN)
-LOONGARCH64_IMAGES    = $(addprefix $(LOONGARCH64_INSTALL_DIR)/,QEMU_EFI.fd QEMU_VARS.fd)
 
 build-ovmf32: $(OVMF32_BINARIES) $(OVMF32_IMAGES)
 $(OVMF32_BINARIES) $(OVMF32_IMAGES): debian/setup-build-stamp
@@ -166,15 +153,6 @@
 		$(OVMF_INSTALL_DIR)/
 	cp $(OVMF64_BUILD_DIR)/FV/OVMF_CODE.fd \
 		$(OVMF_INSTALL_DIR)/OVMF_CODE_4M.secboot.fd
-	rm -rf $(OVMF64_BUILD_ROOT_CSV)
-	rm -f OvmfPkg/AmdSev/Grub/grub.efi
-	set -e; . ./edksetup.sh; \
-		build -a X64 \
-			-t $(EDK2_TOOLCHAIN) \
-			-p OvmfPkg/AmdSev/AmdSevX64.dsc \
-			$(OVMF_COMMON_FLAGS) -b $(BUILD_TYPE)
-	cp $(OVMF64_BUILD_DIR_CSV)/FV/OVMF.fd \
-		$(OVMF_INSTALL_DIR)/OVMF.CSV.fd
 
 ifeq ($(call dpkg_vendor_derives_from_v1,ubuntu),yes)
 debian/PkKek-1-vendor.pem: debian/PkKek-1-Ubuntu.pem
@@ -204,3 +182,22 @@
 		--no-default \
 		-C `< debian/oem-string-snakeoil` -o $@
 
+%/OVMF_VARS.ms.fd: %/OVMF_CODE.secboot.fd %/OVMF_VARS.fd debian/oem-string-vendor $(OVMF_ENROLL) $(OVMF_SHELL)
+	PYTHONPATH=$(CURDIR)/debian/python \
+	python3 ./debian/edk2-vars-generator.py -d \
+		-f OVMF -e $(OVMF_ENROLL) -s $(OVMF_SHELL) \
+		-c $(OVMF_INSTALL_DIR)/OVMF_CODE.secboot.fd \
+		-V $(OVMF_INSTALL_DIR)/OVMF_VARS.fd \
+		-C `< debian/oem-string-vendor` -o $@
+
+%/OVMF_VARS_4M.ms.fd: %/OVMF_CODE_4M.secboot.fd %/OVMF_VARS_4M.fd debian/oem-string-vendor $(OVMF_ENROLL) $(OVMF_SHELL)
+	PYTHONPATH=$(CURDIR)/debian/python \
+	python3 ./debian/edk2-vars-generator.py -d \
+		-f OVMF_4M -e $(OVMF_ENROLL) -s $(OVMF_SHELL) \
+		-c $(OVMF_INSTALL_DIR)/OVMF_CODE_4M.secboot.fd \
+		-V $(OVMF_INSTALL_DIR)/OVMF_VARS_4M.fd \
+		-C `< debian/oem-string-vendor` -o $@
+
+%/OVMF_VARS_4M.snakeoil.fd: %/OVMF_CODE_4M.fd %/OVMF_VARS_4M.fd debian/oem-string-snakeoil $(OVMF_ENROLL) $(OVMF_SHELL)
+	PYTHONPATH=$(CURDIR)/debian/python \
+	python3 ./debian/edk2-vars-generator.py -d \

=== debian/tests/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  qemu-efi-arm,
  qemu-efi-riscv64,
  qemu-system-arm,
- qemu-system-misc,
+ qemu-system-riscv64,
  qemu-system-x86,
  sbsigntool [amd64 arm64],
  shim-signed [amd64 arm64],
